Package fr.gouv.vitam.functionaltest.cucumber.step

# Class ProbativeStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.ProbativeStep

public class ProbativeStep extends CommonStep

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProbativeStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `probativeValue(String usage)`
  `void`
  `probativeValueIncludeDetachedSigningInformation(String usage)`
  `void`
  `probativeValueIncludeDetachedSigningInformation(List<String> expectedUnitTitles)`

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProbativeStep

    public ProbativeStep(World world)

- ## Method Details

  - ### probativeValue

    @Then("^Je lance un r\u00e9lev\u00e9 de valeur probante avec l\'usage suivant (.*)") public void probativeValue(String usage) throws Exception
    Throws:
      `Exception`

  - ### probativeValueIncludeDetachedSigningInformation

    @Then("^Je lance un r\u00e9lev\u00e9 de valeur probante \u00e9tendu aux \u00e9l\u00e9ments de preuves de signature \u00e9lectronique avec l\'usage suivant (.*)") public void probativeValueIncludeDetachedSigningInformation(String usage) throws Exception
    Throws:
      `Exception`

  - ### probativeValueIncludeDetachedSigningInformation

    @Then("^le p\u00e9rim\u00e8tre effectif du rapport de valeur probante contient les unit\u00e9s ayant pour titres$") public void probativeValueIncludeDetachedSigningInformation(List<String> expectedUnitTitles) throws Exception
    Throws:
      `Exception`